https://docs.gitlab.com/ee/api/jobs.html

metrics only take into account jobs with status = failed or status = succeed


provide gitlab token to call_api.py


if call_api.py starts failing, its due to rate limits in gitlab api, so lower max_workers (lower parallelism).

Take in branch name as a sysarg like the following:

sh shell.sh develop

Collect metrics on all branches like the following:

sh shell.sh
